Name:		screenlets
Version:	0.1.5
Release:	%mkrel 3
License:	GPL
URL:		http://www.screenlets.org/
Summary:	Widget mini-apps (like OSX Dashboard or Vista Gadgets)
Group:		System/X11
Source:		http://code.launchpad.net/screenlets/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Source1:	logo24.png
Buildarch:      noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
Requires:	python-beautifulsoup
Requires:	pyxdg
Requires:	dbus-python
Requires:	gnome-python-desktop

%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

Screenlets work best with the Widget plugin for Compiz Fusion.

%prep
%setup -q

# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'

# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}

# Remove useless egg-info file
rm -f %{buildroot}%{py_puresitedir}/*.egg-info

# Define prefix
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
echo > %{buildroot}%{_sysconfdir}/%{name}/prefix << EOF
%{_prefix}
EOF

# Icons
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png
install -Dm0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install \
	--vendor="" \
	--add-category="Settings" \
	--add-category="DesktopSettings" \
	--add-category="X-MageiaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
		desktop-menu/%{name}-manager.desktop

echo "Icon=%{name}" >> desktop-menu/%{name}-daemon.desktop

desktop-file-install \
	--vendor="" \
	--add-category="Settings" \
	--add-category="DesktopSettings" \
	--add-category="X-MageiaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
		desktop-menu/%{name}-daemon.desktop

%find_lang %{name} %{name}-manager

# Clean Ubuntu icons
rm -rf %{buildroot}%{_datadir}/icons/ubuntu*

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc CHANGELOG README TODO AUTHORS DEVELOPERS
%config(noreplace) %{_sysconfdir}/%{name}/prefix
%{_bindir}/*
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/%{name}
%{_datadir}/%{name}-manager
%{_datadir}/icons/%{name}.*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{py_puresitedir}/screenlets/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.5-3.mga3
+ Revision: 381912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 wally <wally> 0.1.5-2.mga2
+ Revision: 187512
- drop unneeded patch
- require python-beautifulsoup
- add prefix setting configuration file
- delete Ubuntu icons
- clean .spec a bit

* Sun Dec 04 2011 kharec <kharec> 0.1.5-1.mga2
+ Revision: 175805
- imported package screenlets

